## node-husl 6.0.1+dfsg

=== Makefile ===
husl.js: husl.coffee
	coffee --compile husl.coffee

husl.min.js: husl.js
	uglifyjs husl.js > husl.min.js

=== debian/changelog ===
node-husl (6.0.1+dfsg-2) unstable; urgency=medium

  * Team upload
  * Add uglifyjs to build deps (Closes: #902506)
    (Thanks to Hans Joachim Desserud)
  * Bump debhelper compatibility level to 11
  * Bump Standards-Version to 4.2.1 (no changes needed)
  * Change section to javascript
  * Enable nocheck build profile
  * Use salsa.debian.org in Vcs-* fields

 -- Pirate Praveen <praveen@debian.org>  Sun, 16 Sep 2018 15:15:57 +0530

node-husl (6.0.1+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #844230)

 -- Ross Gammon <rosco2@ubuntu.com>  Wed, 16 Nov 2016 22:49:27 +0100

=== debian/control ===
Source: node-husl
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Ross Gammon <rosco2@ubuntu.com>
Build-Depends: debhelper (>= 11~),
               nodejs,
               mocha <!nocheck>,
               coffeescript,
               node-underscore,
               uglifyjs
Standards-Version: 4.2.1
Homepage: http://www.husl-colors.org
Vcs-Git: https://salsa.debian.org/js-team/node-husl.git
Vcs-Browser: https://salsa.debian.org/js-team/node-husl

Package: node-husl
Architecture: all
Depends: ${misc:Depends},
         nodejs
Description: Human-friendly HSL - NodeJS
 HUSL is implemented as a set of functions to convert colors between RGB,
 HUSL and HUSLp.
 .
 Node.js is an event-based server-side JavaScript engine.

Package: libjs-husl
Architecture: all
Depends: ${misc:Depends}
Recommends: javascript-common
Description: Human-friendly HSL - Javascript
 HUSL is implemented as a set of functions to convert colors between RGB,
 HUSL and HUSLp.
 .
 This package contains the browser-side Javascript.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	make husl.min.js

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_PROFILES)))
	mocha --compilers coffee:coffee-script/register
endif

=== debian/tests/control ===
Tests: require
Depends: node-husl

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-husl-$1.tar.gz/,\
repacksuffix=+dfsg \
 https://github.com/husl-colors/husl/tags .*/archive/v?([\d\.]+).tar.gz
